import 'package:flutter_test/flutter_test.dart';
import 'package:sghi_core/afya_moja_core/afya_moja_core.dart';

void main() {
  group('UserData', () {
    testWidgets('fromJson works correctly', (WidgetTester tester) async {
      final UserData userDataFromJson = UserData.fromJson(<String, dynamic>{
        'id': 'testID',
        'username': 'testUsername',
        'termsAccepted': true,
        'active': true,
        'name': 'testName',
        'contacts': <String, dynamic>{
          'id': 'testId',
          'contactType': 'PHONE',
          'contactValue': '0712345678',
          'optedIn': true,
          'active': true,
        },
      });

      expect(
        userDataFromJson.id,
        'testID',
      );
      expect(userDataFromJson.primaryContact?.contactType, ContactType.PHONE);

      final UserData userDataInitialData = UserData.initial();
      expect(
        userDataInitialData.id,
        UNKNOWN,
      );
      expect(
        userDataInitialData.primaryContact?.contactType,
        ContactType.UNKNOWN,
      );
    });
  });
}
