import 'package:flutter_test/flutter_test.dart';
import 'package:sghi_core/afya_moja_core/afya_moja_core.dart';
import 'package:sghi_core/communities/core/enums.dart';

void main() {
  group('Enums', () {
    test('MatrixMessageTypes extension works correctly', () {
      const MessageType messageType = MessageType.text;
      const MessageType imageType = MessageType.image;
      const MessageType fileType = MessageType.file;
      const MessageType locationType = MessageType.location;

      expect(messageType.value, MatrixMessageTypes.text);
      expect(imageType.value, MatrixMessageTypes.image);
      expect(fileType.value, MatrixMessageTypes.file);
      expect(locationType.value, '');
    });

    test('MembershipEventTypesEx extension works correctly', () {
      const MembershipEventTypes invite = MembershipEventTypes.invite;
      const MembershipEventTypes join = MembershipEventTypes.join;
      const MembershipEventTypes leave = MembershipEventTypes.leave;
      const MembershipEventTypes ban = MembershipEventTypes.ban;
      const MembershipEventTypes knock = MembershipEventTypes.knock;
      const MembershipEventTypes unkown = MembershipEventTypes.unknown;

      expect(invite.name, 'invited');
      expect(join.name, 'joined');
      expect(leave.name, 'left');
      expect(ban.name, 'banned');
      expect(knock.name, 'requested to join');
      expect(unkown.name, UNKNOWN);
    });
  });
}
