// Package imports:
import 'package:flutter_test/flutter_test.dart';
import 'package:sghi_core/communities/models/message.dart';

void main() {
  test('Message should convert from/to json', () {
    final Message state = Message.initial();
    final Map<String, dynamic> result = state.toJson();

    expect(result, isA<Map<String, dynamic>>());
    expect(result.containsKey('origin_server_ts'), true);
    expect(result['origin_server_ts'], 0);

    final Message result2 = Message.fromJson(<String, dynamic>{
      'type': 'm.room.name',
      'sender': '@abiudrn:chat.savannahghi.org',
      'content': <String, dynamic>{'topic': 'chat test'},
    });

    expect(result2.eventType, isNotNull);
    expect(result2.eventType, 'm.room.name');
    expect(result2.sender, isNotNull);
    expect(result2.sender, '@abiudrn:chat.savannahghi.org');

    expect(result2.content?.topic, isNotNull);
    expect(result2.content?.topic, 'chat test');
  });
}
